Package org.drinkless.tdlib

# Class TdApi.GetStarWithdrawalUrl

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.HttpUrl>
org.drinkless.tdlib.TdApi.GetStarWithdrawalUrl

Enclosing class:
  `TdApi`

public static class TdApi.GetStarWithdrawalUrl extends TdApi.Function<TdApi.HttpUrl>
Returns a URL for Telegram Star withdrawal.

Returns `HttpUrl`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageSender`
  `ownerId`
  Identifier of the owner of the Telegram Stars; can be identifier of the current user, an owned bot, or an owned supergroup or channel chat.
  `String`
  `password`
  The 2-step verification password of the current user.
  `long`
  `starCount`
  The number of Telegram Stars to withdraw; must be between getOption("star_withdrawal_count_min") and getOption("star_withdrawal_count_max").

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStarWithdrawalUrl()`
  Default constructor for a function, which returns a URL for Telegram Star withdrawal.
  `GetStarWithdrawalUrl(TdApi.MessageSender ownerId, long starCount, String password)`
  Creates a function, which returns a URL for Telegram Star withdrawal.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ownerId

    public TdApi.MessageSender ownerId
    Identifier of the owner of the Telegram Stars; can be identifier of the current user, an owned bot, or an owned supergroup or channel chat.

  - ### starCount

    public long starCount
    The number of Telegram Stars to withdraw; must be between getOption("star_withdrawal_count_min") and getOption("star_withdrawal_count_max").

  - ### password

    public String password
    The 2-step verification password of the current user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetStarWithdrawalUrl

    public GetStarWithdrawalUrl()
    Default constructor for a function, which returns a URL for Telegram Star withdrawal.

    Returns `HttpUrl`

  - ### GetStarWithdrawalUrl

    public GetStarWithdrawalUrl(TdApi.MessageSender ownerId, long starCount, String password)
    Creates a function, which returns a URL for Telegram Star withdrawal.

    Returns `HttpUrl`

    Parameters:
      `ownerId` - Identifier of the owner of the Telegram Stars; can be identifier of the current user, an owned bot, or an owned supergroup or channel chat.
      `starCount` - The number of Telegram Stars to withdraw; must be between getOption("star_withdrawal_count_min") and getOption("star_withdrawal_count_max").
      `password` - The 2-step verification password of the current user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.HttpUrl>`
    Returns:
      this.CONSTRUCTOR